Atualizar webhook

Atualiza um webhook existente (URL, eventos assinados, headers).

You must send the desired output in the body payload cause this endpoint edits the whole entry of webhook. For example:

  • para atualizar apenas um header, envie a URL e o novo objeto headers.
  • Para atualizar a URL, envie a nova URL e repita os headers — caso contrário os headers são apagados (vão para null).
PATCH
/v1/carrier/webhook/{webhook_id}
x-abbiamo-carrier-key<token>

In: header

Path Parameters

webhook_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/v1/carrier/webhook/string" \  -H "Content-Type: application/json" \  -d '{    "url": "string"  }'
"{}"
"{}"